chrSegment {fcros} | R Documentation

## Segmentation of a chromosome data

### Description

This function allows to segment a chromosome data

### Usage

    chrSegment(chrData, nd = 10)

### Arguments

`chrData` | A chromosome data obtained from an output of the function dataSummary(): `xinfo2` = dataSummary(af, xinfo, chromosomes, alpha) `idx` = which(xinfo2$xinfo.s$Chromosome == "chr1") `chrData` = xinfo2$xinfo.s[idx, ]
`nd` | The acceptable number of non-detected probes which can separate two significant probes in a segment. Default setting value is 10: `nd` = 10

### Value

This function returns a data frame containing 6 information for each segment

`idStart` | The start position indexes associated with segments
`idEnd` | The End position indexes associated with segments
`lBounds` | The lower bound positions associated with segments
`uBounds` | The upper bound positions associated with segments
`segL2R` | The change values associated with segments
`segProba` | The probabilities associated with segments

### Author(s)

Doulaye Dembele doulaye@igbmc.fr

### References

Dembele D, Analysis of high biological data using their rank values, Stat Methods Med Res, accepted for publication, 2018

### Examples

        # load CGH data and info files
        data(cghData)
        rownames(cghData) <- cghData[,1]
        data(cghInfo)
        noms <- colnames(cghData)
        m <- length(noms)
        samp  <- noms[2:m]

        # associate statistics with probes in the dataset
        af <- pfcoMod(cghData, samp, log2.opt = 0, trim.opt = 0.25)

        chromosomes = c(7:9)
        alpha <- 0.05

        # summarize results for each chromosome
        xinfo2 <- dataSummary(af, cghInfo, chromosomes, alpha)

        # focused on chromosome 7 data
        idx <- which(xinfo2$xinfo.s$Chromosome == "7")
        chrData <- xinfo2$xinfo.s[idx, ]

        # segment chromosome 7 data
        chrSeg <- chrSegment(chrData, nd = 15)

        # show first 10 segment results
        chrSeg[1:10,]

[Package fcros version 1.6.1 Index]